Ext.namespace('MutationViewer');
MutationViewer.alertNoCode = false;
BMS.AG.ML.IMVConfig = {
//   currentUser: , // this one's important for comment and preference storage!! Could be set by your script
  headerTitle: 'Interactive Multiple Alignment Viewer',
  westWidth: 200, // width of the left side panels
  controllerTitle: 'Alignment Overview',
  controllerDivHeight: 100, // height of the overview controller's panel
  optionsPanelHeight: 450, // height of the options treepanel
  otherOptionsExpanded: true, // load the 'Other' branch expanded in the Options treepanel
  appOptionsExpanded: true, // load the 'Application Options' branch expanded in the Options treepanel
  nativeJSON: true, // use browser's native JSON parser where available (very useful!!)
  cgiTimeout: 1000, // if backend cgi processing of alignment takes long, use 1000 seconds for ajax timeout
  defaultTracks: [['dna','DNA'],['prot','Protein']],
  useExtMsgBox: false, // true to use Ext's alert instead of browser's. Ext's alert is very slow for large maps due to masking

  // more involved config options
  prefManagerURL: '/URL/path/cgi-bin/CGIs/empty.pl', // use prefManager to store user's view pref or not. (do we add a function to get current user?)
  appName: 'alignViewer', // identifier used for prefManager
  traceOff: true, // true to turn off trace panel in comment Panel
  initMaps: [
    ['Demo alignment file', 'Boca.json', '']
  ]
};