#!/stf/sys/bin/perl

# Does nothing other than sending an largely empty JSON back to act as a fake preference manager web service or n.t. edit service (used by alignment viewer and mutation viewer) and provides ahe same static trace image for all trace image requests in mutation viewer

use strict;
use CGI qw/:standard/;

print "Content-type: text/javascript\n\n";
if(param('cenbase') || (param('agent') && param('mode') eq 'image'))
{
  print "{ \"png\": [ { \"coords\": { \"_keyHelp\": { \"baseBounds\": \"2D array of X-Y coordinates for individual base positions on the trace\",\"baseBounds[0]\": \"1D array of [Left,Top,Right,Bottom]\",\"baseBounds[1][0]\": \"Human-readable sequence position at this point\",\"baseBounds[1][1]\": \"Sequence *index* at this point, most useful for further calculations\",\"baseBounds[1][2]\": \"Base character at this point\",\"height\": \"Defines the height, in pixels, of each horizontal band of data\",\"height:consensus\": \"Height of consensus section, includes bases, residues, numbering, quality\",\"height:total\": \"Pixel height of all sections summed together\",\"height:trace\": \"Height of actual trace section, includes plot, quality, bases and numbering\",\"height:traceNum\": \"Count of total number of distinct traces (reads) rendered\",\"source\": \"Information on the source of the sequence being drawn\",\"source:edit\": \"Editted sequence (display_id) displayed to user. Derived from source:name\",\"source:editRange\": \"[name, start, end, frame] for the source used to make the editted sequence\",\"source:id\": \"CSF object ID (eg CON-20010203-etc) for the source sequence\",\"source:indL\": \"Left index position on rendered source\",\"source:indR\": \"Right index position on rendered source\",\"source:name\": \"The display_id for the source sequence, may be the same as id\",\"source:vdbid\": \"Virology database ID for the raw source sequence used to display the trace\" },\"baseBounds\": [ [ [ 0,14,7,940 ],[ \"\",139,\"C\" ] ],[ [ 8,14,15,940 ],[ 1,140,\"T\" ] ],[ [ 16,14,23,940 ],[ 2,141,\"C\" ] ],[ [ 24,14,31,940 ],[ 3,142,\"C\" ] ],[ [ 32,14,39,940 ],[ 4,143,\"G\" ] ],[ [ 40,14,47,940 ],[ 5,144,\"G\" ] ],[ [ 48,14,55,940 ],[ 6,145,\"T\" ] ],[ [ 56,14,63,940 ],[ 7,146,\"T\" ] ],[ [ 64,14,71,940 ],[ 8,147,\"C\" ] ],[ [ 72,14,79,940 ],[ 9,148,\"C\" ] ],[ [ 80,14,87,940 ],[ 10,149,\"T\" ] ],[ [ 88,14,95,940 ],[ 11,150,\"G\" ] ],[ [ 96,14,103,940 ],[ 12,151,\"G\" ] ],[ [ 104,14,111,940 ],[ 13,152,\"C\" ] ],[ [ 112,14,119,940 ],[ 14,153,\"T\" ] ],[ [ 120,14,127,940 ],[ 15,154,\"G\" ] ],[ [ 128,14,135,940 ],[ 16,155,\"A\" ] ],[ [ 136,14,143,940 ],[ 17,156,\"G\" ] ],[ [ 144,14,151,940 ],[ 18,157,\"A\" ] ],[ [ 152,14,159,940 ],[ 19,158,\"G\" ] ],[ [ 160,14,167,940 ],[ 20,159,\"A\" ] ],[ [ 168,14,175,940 ],[ 21,160,\"C\" ] ],[ [ 176,14,183,940 ],[ 22,161,\"A\" ] ],[ [ 184,14,191,940 ],[ 23,162,\"T\" ] ],[ [ 192,14,199,940 ],[ 24,163,\"C\" ] ],[ [ 200,14,207,940 ],[ 25,164,\"T\" ] ],[ [ 208,14,215,940 ],[ 26,165,\"G\" ] ],[ [ 216,14,223,940 ],[ 27,166,\"G\" ] ],[ [ 224,14,231,940 ],[ 28,167,\"G\" ] ],[ [ 232,14,239,940 ],[ 29,168,\"A\" ] ],[ [ 240,14,247,940 ],[ 30,169,\"C\" ] ] ],\"height\": { \"consensus\": 90,\"head\": 14,\"total\": 927,\"trace\": 93,\"traceNum\": 9 },\"source\": { \"edit\": \"CON-20100802-00006.04.01-NS5A-1a\",\"editRange\": [ \"CON-20100802-00006.04.01\",1,1587,1 ],\"id\": \"CON-20100802-00006.04.01\",\"indL\": 139,\"indR\": 169,\"name\": \"CON-20100802-00006.04.01\",\"vdbid\": 129595 } },\"id\": 129597,\"name\": \"CON-20100802-00006.04.01-NS5A-1a\",\"url\": \"/URL/path/MutationViewer/sample_trace.png\" } ] }";
}
else
{
  print "{\"extraVals\":\"{\\\"BMSUser\\\":\\\"test\\\"}\"}";
}
